<h1> {{ title | titlecase }} Demo </h1>

<table>
  <tr>
    <th>Date</th>
    <td>
      <input type="date" name="date" 
        [ngModel]="date.toLocaleDateString()"
        (ngModelChange)="onDateChanged($event)"
        />
        {{date | date:'yyyyMMdd HHmmss.SSS'}}
    </td>
  </tr>
  <tr>
    <th>Offset</th>
    <td>
      <input type="range" name="offset" [(ngModel)]="offset" 
          [min]="1" [max]="42" [step]="2"
          />
          {{offset | number:'1.0-0'}}
    </td>
  </tr>
  <tr>
    <th>Result</th>
    <td>
      {{ nextDate(date, offset) | date:'MMMM d, yyyy'}}
    </td>
  </tr>
</table>